package market

import (
	"cron_admin/app/utils"
	"cron_admin/config"
	"fmt"
	"github.com/qit-team/snow-core/kernel/server"
	"os"
	"testing"
)

func TestMarketSendRequest_Market(t *testing.T) {
	opts := config.GetOptions()
	if opts.ShowVersion {
		fmt.Printf("%s\ncommit %s\nbuilt on %s\n", server.Version, server.BuildCommit, server.BuildDate)
		os.Exit(0)
	}

	//加载配置
	conf, err := config.Load(opts.ConfFile)
	if err != nil {
		utils.Log(nil, "err", err.Error())
		return
	}
	client := NewMarketClient(conf.OpenApiMarketConfig)

	//data, err := client.MarketSend("123456789111", "1717567048171", "", "2")
	data, err := client.MarketSend("123111", "1717", "", "2")

	if err != nil {
		t.Error(err)
	}
	t.Log(data)
}
